Sign in to follow this  
Guest

Any FSMETEO users get "Version Expired Message"?

Recommended Posts

I purchased FSMETEO when it was version 4.92 and haven't completely kept up with the upgrades - I have version 5.1.Just now I got a Dialog Box stating the version was expired.And no whenever I hit the START buttton on FSMeteo I get this...- Anyone see this before?Thanks,Myles

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Actually, I got it tonite as well.I've emailed Marc Philbert about it but no reply yet.BobL

Share this post


Link to post
Share on other sites

He is working on it right now. I have several notes from him today.CheersBob Johnson

Share this post


Link to post
Share on other sites

Been flyin' all day with version 5.2 - no problem.

Share this post


Link to post
Share on other sites

I actually like useing the older version of FSmeteo that I have. . Would be nice if I could keep using it rather than download the update.

Share this post


Link to post
Share on other sites

I used v 5.2 for 4.5 hours yesterday ( Feb 2 ) and had no problems with it. Hope you get this " issue " sorted out.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this